WordPress как на ладони
Недорогой хостинг для сайтов на WordPress: wordpress.jino.ru Самая быстрая Тема-конструктор для WordPress
функция не описана

user_can_edit_post() WP 1.5.0

Запрещена (устарела) с версии 2.0.0. Больше не поддерживается и может быть удалена. Используйте current_user_can().

Whether user can edit a post.

Хуков нет.

Возвращает

true/false.

Использование

user_can_edit_post( $user_id, $post_id, $blog_id );
$user_id(число) (обязательный)
$post_id(число) (обязательный)
$blog_id(число)
Not Used
По умолчанию: 1

Заметки

  • Смотрите: current_user_can()

Список изменений

С версии 1.5.0 Введена.
Устарела с 2.0.0 Use current_user_can()

Код user_can_edit_post() WP 5.5.1

<?php
function user_can_edit_post($user_id, $post_id, $blog_id = 1) {
	_deprecated_function( __FUNCTION__, '2.0.0', 'current_user_can()' );

	$author_data = get_userdata($user_id);
	$post = get_post($post_id);
	$post_author_data = get_userdata($post->post_author);

	if ( (($user_id == $post_author_data->ID) && !($post->post_status == 'publish' && $author_data->user_level < 2))
			|| ($author_data->user_level > $post_author_data->user_level)
			|| ($author_data->user_level >= 10) ) {
		return true;
	} else {
		return false;
	}
}